#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QtGui/QMainWindow>
#include <QWebView>
#include <QWebPage>
#include <QWebFrame>
#include <QFile>
#include <QMessageBox>

#include "javascriptobject.h"

namespace Ui
{
    class MainWindow;
}

class MainWindow : public QMainWindow
{
    Q_OBJECT

public:
    MainWindow(QWidget *parent = 0);
    ~MainWindow();

    void javascriptClick(void);
    JavascriptObject *myObject;

private:
    Ui::MainWindow *ui;

private slots:
    void on_ClearMarker_clicked();
    void on_PutMarker_clicked();
};

#endif // MAINWINDOW_H
